ContainerAdapter (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: java.awt.event, class: ContainerAdapter
Keywords: java.awt.event.ContainerAdapter class

# Class ContainerAdapter

java.lang.Object
java.awt.event.ContainerAdapter

All Implemented Interfaces:
  `ContainerListener, EventListener`

public abstract class ContainerAdapter extends Object implements ContainerListener
An abstract adapter class for receiving container events. The methods in this class are empty. This class exists as convenience for creating listener objects.

Extend this class to create a `ContainerEvent` listener and override the methods for the events of interest. (If you implement the `ContainerListener` interface, you have to define all of the methods in it. This abstract class defines null methods for them all, so you can only have to define methods for events you care about.)

Create a listener object using the extended class and then register it with a component using the component's `addContainerListener` method. When the container's contents change because a component has been added or removed, the relevant method in the listener object is invoked, and the `ContainerEvent` is passed to it.

Since:
  1.1
See Also:
  - `ContainerEvent`
  - `ContainerListener`
  - Tutorial: Writing a Container Listener

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ContainerAdapter()`
  Constructs a `ContainerAdapter`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `componentAdded(ContainerEvent e)`
  Invoked when a component has been added to the container.
  `void`
  `componentRemoved(ContainerEvent e)`
  Invoked when a component has been removed from the container.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### ContainerAdapter

    protected ContainerAdapter()
    Constructs a `ContainerAdapter`.

- ## Method Details

  - ### componentAdded

    public void componentAdded(ContainerEvent e)
    Invoked when a component has been added to the container.
    Specified by:
      `componentAdded` in interface `ContainerListener`
    Parameters:
      `e` - the event to be processed

  - ### componentRemoved

    public void componentRemoved(ContainerEvent e)
    Invoked when a component has been removed from the container.
    Specified by:
      `componentRemoved` in interface `ContainerListener`
    Parameters:
      `e` - the event to be processed